[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH] emacs should use GtkFileChooser widget

From: Sven Neumann
Subject: Re: [PATCH] emacs should use GtkFileChooser widget
Date: 19 Jul 2004 11:52:04 +0200
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.3.50


"Jan D." <address@hidden> writes:

> > Please excuse if this is the wrong way to submit patches. I just
> > recently started to use the CVS build of emacs because of its use of
> > the GTK+-2.x toolkit. I find it convenient but I think that there are
> > a couple of issues and would like to submit patches for them. As a
> > first start, here's a patch against CVS that makes emacs use the
> > GtkFileChooser widget if compiled against GTK+ version 2.4 or newer.
> You should send patches to emacs-devel instead.

OK, I will do that in the future then.

> So I think a patch should make it possible to choose between the new
> and old one, probably a configure test for both is needed.  The
> default might well be to use the new if it is available, as long as
> it can be changed.

I can add a configure option and send you an updated patch if you want
me to.

I would also like to contribute patches to polish the existing GTK+
dialogs. IMO the buttons in the current dialogs are very uneasily
distributed, they lack stock icons and the wrong button order is
used. I will send patches to adress this to emacs-devel list.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]